Loading...
Searching...
No Matches
Halide::Runtime::Internal::MemoryArena::Config Struct Reference

`#include <memory_arena.h>`

## Public Attributes

uint32_t | entry_size = 1
uint32_t | minimum_block_capacity = default_capacity
uint32_t | maximum_block_count = 0

## Detailed Description

Definition at line 27 of file memory_arena.h.

## Member Data Documentation

## entry_size

uint32_t Halide::Runtime::Internal::MemoryArena::Config::entry_size = 1

Definition at line 28 of file memory_arena.h.

## minimum_block_capacity

uint32_t Halide::Runtime::Internal::MemoryArena::Config::minimum_block_capacity = default_capacity

Definition at line 29 of file memory_arena.h.

## maximum_block_count

uint32_t Halide::Runtime::Internal::MemoryArena::Config::maximum_block_count = 0

Definition at line 30 of file memory_arena.h.

The documentation for this struct was generated from the following file:

- src/runtime/internal/memory_arena.h